s0.initCam()
src(s0)
  .scale(0.9852)
  .out(o0)

src(o0)
  .kaleid(() => Math.sin(0.01 * time % 1000) * 0.9125)
//   .hue(() => (Math.sin(time) % 50) /20)
  .saturate(2).contrast(0.95)
  .out(o2)

voronoi(2,.4)
  .scale(0.2)
  .modulate(noise(0.1))
  .out(o1)

src(o2)
  .layer(src(o2).mask(o1))
  .blend(o1,0.01)
  .modulate(o0,-0.005)
  .out(o3)

render(o3)
